// Copyright 1997-1999 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Source/CVS/OmniGroup/OmniAppKit/OAWrapUsage.h,v 1.8 1999/08/05 05:08:53 bungi Exp $

// How to use the wraps in OmniAppKitWraps.psw

#import <AppKit/NSGraphics.h>

#import <OmniAppKit/FrameworkDefines.h>
#import <OmniAppKit/OAWraps.h>

// Draws a rectangle in white, with dark gray lines above and below

OmniAppKit_EXTERN void _OAWDrawHGroove(float darkGray, float lightGray, float x, float y, float right, float yMinusOne);

// Draws a dark gray line at y - 1, and a white line at y, for a horizontal groove

#define OAWDrawHGroove(x, y, width) \
    _OAWDrawHGroove(NSDarkGray, NSWhite, (x), (y), (x)+(width), (y) - 1)
