// Copyright 1997-1999 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Source/CVS/OmniGroup/OmniAppKit/Widgets.subproj/OAFontView.h,v 1.8 1999/08/05 05:09:05 bungi Exp $

#import <AppKit/NSView.h>

@class NSString;
@class NSFont;

#import <AppKit/NSNibDeclarations.h> // For IBOutlet and IBAction
#import <OmniAppKit/OAFontViewDelegateProtocol.h>

@interface OAFontView : NSView
{
    IBOutlet id <OAFontViewDelegate> delegate;

    NSFont *font;
    NSString *fontDescription;
    NSSize textSize;
}

- (NSFont *)font;
- (void)setFont:(NSFont *)newFont;

- (IBAction)setFontUsingFontPanel:(id)sender;

@end
